Bug 354961 - lvm and multipath should not use /var for config/lock files
lvm and multipath should not use /var for config/lock files
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: device-mapper-multipath (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ben Marzinski
Fedora Extras Quality Assurance
: FutureFeature
Depends On: 339891
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-26 18:56 EDT by Ben Marzinski
Modified: 2011-02-09 17:44 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
The location of the multipath user-friendly-names bindings file has been moved from /var/lib/multipath/bindings to /etc/multipath/bindings. Upgrading from a previous version of device-mapper-multipath will copy your existing bindings file to this location, and turn the old bindings file into a symlink pointing to the new file.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-09 17:44:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bmarzins: fedora_requires_release_note+


Attachments (Terms of Use)

  None (edit)
Description Ben Marzinski 2007-10-26 18:56:38 EDT
+++ This bug was initially created as a clone of Bug #339891 +++

Escalated to Bugzilla from IssueTracker

-- Additional comment from tao@redhat.com on 2007-10-19 11:21 EST --
Customer RHID: 561660
RedHat Bugzilla References: unknown

Description of problem: This customer ran into a problem with their multipath
bindings after a system reboot.  They had a working configuration defined in
/var/lib/multipath/bindings, but when the system rebooted, some of the path
names either didn't exist, or were assigned to the wrong paths.  This caused
much grief with subsequent filesystem mounts.  What we found was that they had
/var as a separate filesytem, and the multipath (and lvm) commands to configure
the paths and devices were being run out of rc.sysinit before /var had been mounted.

How reproducible: Every time the system rebooted.

Steps to Reproduce: 

1. Configure your system with /var as a mounted filesystem.  
2. Configure multipath bindings that are different from the default bindings/order.
3. Reboot.

Actual results: The bindings you end up with are the defaults.

Expected results: The bindings you end up with are the ones you specified in the
bindings file.

Additional info: Unless you absolutely forbid mounting /var on a separate file
system, key rc.sysinit startup utilities should *never* use /var for
configuration or locking information.  The lvm and multipath tools should keep
their startup critical config files in /etc.
This event sent from IssueTracker by tdunnon  [SEG - Feature Request]
 issue 129171
Comment 1 Ben Marzinski 2009-07-29 21:40:10 EDT
Multipath now uses /etc/multipath/bindings
Comment 2 Ben Marzinski 2009-09-03 11:01:35 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
The location of the multipath user-friendly-names bindings file has been moved from /var/lib/multipath/bindings to /etc/multipath/bindings.  Upgrading from a previous version of device-mapper-multipath will copy your existing bindings file to this location, and turn the old bindings file into a symlink pointing to the new file.
Comment 3 Alasdair Kergon 2011-02-09 16:55:33 EST
Can we close this now?

Note You need to log in before you can comment on or make changes to this bug.